import { HttpClient } from '@angular/common/http';
import { Store } from '@ngrx/store';
import { Subject } from 'rxjs';
import { AppBaseAction } from './app-base-action';
export declare class AppActionDispatcher<T> extends Subject<T> {
    private http;
    constructor(http: HttpClient);
    private generateEffect(apiArgs, outputEvtArgs, dispatchOutputAction);
    dispatch<V>(action: AppBaseAction<T>, store: Store<V>): void;
}
