import { OutputActionEventArgs } from '../actions.index';
import { RestServiceArgs } from './rest-service-args';
export declare class ActionPayload<T> {
    id?: string;
    payload?: T;
    payloads?: T[];
    error?: T;
}
export declare class ActionEventArgs<T> {
    Payload?: ActionPayload<T>;
    ApiArgs?: RestServiceArgs<T>;
    DispatchOutputAction?: boolean;
    OutputActions?: Array<OutputActionEventArgs>;
    constructor();
}
