import { AppBaseAction } from './actions/app-base-action';
import { AppActionDispatcher } from './actions/app-action-dispatcher';
import { Store } from '@ngrx/store';
export declare class StoreService<T, V> {
    store: Store<V>;
    appActionDispatch: AppActionDispatcher<T>;
    constructor(store: Store<V>, appActionDispatch: AppActionDispatcher<T>);
    dispatchAction(action: AppBaseAction<T>): void;
}
