import { Observable } from 'rxjs';
import { EntityAdapter } from '@ngrx/entity';
import { IBaseEntityState } from './entitiy-adapter.index';
export declare class StoreStateFactory<T> {
    private baseEntityAdapter;
    private baseInitialState;
    private store;
    constructor();
    private CreateEntityAdapter();
    GetEntityAdapter(): EntityAdapter<T>;
    GetEntityInitialState(): IBaseEntityState<T>;
    getState(): Observable<T>;
    selectedEntityId: (state: IBaseEntityState<T>) => any;
    selectIsLoading: (state: IBaseEntityState<T>) => boolean;
    selectError: (state: IBaseEntityState<T>) => any;
}
